%define module	Crypt-DES
%define name	perl-%{module}
%define version 2.05
%define release %mkrel 13

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	Perl DES encryption module
Source0:	http://search.cpan.org/CPAN/authors/id/D/DP/DPARIS/%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
# avoid build dependency on perl-Crypt-CBC to avoid dependency cycles
# https://qa.mandriva.com/show_bug.cgi?id=43033


%description
The module implements the Crypt::CBC interface.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="$RPM_OPT_FLAGS"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README COPYRIGHT
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
%{_mandir}/man3/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.05-13.mga3
+ Revision: 364833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.05-12.mga3
+ Revision: 250390
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 2.05-11.mga2
+ Revision: 103789
- perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 2.05-10.mga1
+ Revision: 29664
- mageia rebuild
- imported package perl-Crypt-DES

